MonoMac 0.0.0.0 MonoMac.Foundation.NSObject MonoMac.Foundation.Register("CALayer", true) Layers encapsulate position, size and transformation components of a layer as well as implement the CAMediaTiming methods.

When you want to use one of the CALayer subclasses as your UIView's backing layer, you need to add the following code snippet to your class:

`class MyView : UIView { // // This instructs the runtime that whenever a MyView is created // that it should instantiate a CATiledLayer and assign that to the // UIView.Layer property // [Export ("layerClass")] public static Class LayerClass () { return new Class (typeof (CATiledLayer)); } }`

If you want to subclass the CALayer class, you must provide a constructor that takes a CALayer and is annotated with an [Export ("initWithLayer:")] attribute. When you do this, you should also override the as these two are used to create copies of your layer state on demand in response to CoreAnimation creating a mirror of your object hierarchy if anyone accesses the property.

`public class MyLayer : CALayer { UIColor FirstColor, SecondColor; // // Invoked by CoreAnimation if it needs to create a copy of your layer // with a specific state in response to the user fetching the PresentationLayer // property // [Export ("initWithLayer:")] public MyLayer (Mylayer other) : base (layer) { // Do nothing, since we override Clone, but we could // just clone the data here as well if we wanted to. } // // This is the constructor you would use to create your new CALayer public MyLayer (UIColor firstColor, UIColor secondColor) { FirstColor = firstColor; SecondColor = secondColor; } // We must copy our own state here from the original layer public override void Clone (CALayer _other) { MyLayer other = (MyLayer) _other; FirstColor = other.FirstColor; SecondColor = other.SecondColor; } }` Example_CoreAnimation Animate a UIView using UIKit Animate Using Blocks Create a Keyframe Animation Create an Animation Block Create An Explicit Animation Create an Implicit Animation
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("init")
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Default constructor that initializes a new instance of this class with no parameters.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithLayer:")
  Source layer to copy
  This method must be implemented by derived classes to make a copy of the original layer.
  See the class summary for an example of how to use this constructor.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithCoder:")
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  The unarchiver object.
  A constructor that initializes the object from the data stored in the unarchiver object.
  This constructor is provided to allow the class to be initialized from an unarchiver (for example, during NIB deserialization).
- Constructor
  0.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Unused sentinel value, pass NSObjectFlag.Empty.
  Constructor to call on derived classes when the derived class has an [Export] constructor.

  This constructor should be called by derived classes when they are initialized using an [Export] attribute. The argument value is ignore, typically the chaining would look like this:

  public class MyClass : BaseClass { [Export ("initWithFoo:")] public MyClass (string foo) : base (NSObjectFlag.Empty) { ... }
- Constructor
  0.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Pointer (handle) to the unmanaged object.
  A constructor used when creating managed representations of unmanaged objects; Called by the runtime.

  This constructor is invoked by the runtime infrastructure () to create a new managed representation for a pointer to an unmanaged Objective-C object. You should not invoke this method directly, instead you should call the GetNSObject method as it will prevent two instances of a managed object to point to the same native object.

- Method
  0.0.0.0
  MonoMac.Foundation.Export("actionForKey:")
  MonoMac.Foundation.NSObject `` To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("actions", MonoMac.ObjCRuntime.ArgumentSemantic.Copy)
  set: MonoMac.Foundation.Export("setActions:", MonoMac.ObjCRuntime.ArgumentSemantic.Copy)
  MonoMac.Foundation.NSDictionary To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("addAnimation:forKey:")
  System.Void `` `` To be added.

  An identifier for the animation. If the key already exists in the layer, the previous animation is removed.

  This parameter can be .

  To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("addConstraint:")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("addSublayer:")
  System.Void `` To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("affineTransform")
  set: MonoMac.Foundation.Export("setAffineTransform:")
  MonoMac.CoreGraphics.CGAffineTransform To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("anchorPoint")
  set: MonoMac.Foundation.Export("setAnchorPoint:")
  System.Drawing.PointF To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("anchorPointZ")
  set: MonoMac.Foundation.Export("setAnchorPointZ:")
  System.Single To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("animationForKey:")
  MonoMac.CoreAnimation.CAAnimation `` To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("animationKeys")
  System.String[] To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("autoresizingMask")
  set: MonoMac.Foundation.Export("setAutoresizingMask:")
  MonoMac.CoreAnimation.CAAutoresizingMask To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("autoreverses")
  set: MonoMac.Foundation.Export("setAutoreverses:")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("backgroundColor")
  set: MonoMac.Foundation.Export("setBackgroundColor:")
  MonoMac.CoreGraphics.CGColor To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("beginTime")
  set: MonoMac.Foundation.Export("setBeginTime:")
  System.Double To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("borderColor")
  set: MonoMac.Foundation.Export("setBorderColor:")
  MonoMac.CoreGraphics.CGColor To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("borderWidth")
  set: MonoMac.Foundation.Export("setBorderWidth:")
  System.Single To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("bounds")
  set: MonoMac.Foundation.Export("setBounds:")
  System.Drawing.RectangleF To be added. To be added. To be added.
- Property
  0.0.0.0
  System.Obsolete("Use BeginTime instead")
  System.Double To be added. To be added. To be added.
- Property
  0.0.0.0
  System.IntPtr The handle for this class. The pointer to the Objective-C class. Each MonoMac class mirrors an unmanaged Objective-C class. This value contains the pointer to the Objective-C class, it is similar to calling objc_getClass with the object name.
- Method
  0.0.0.0
  System.Void `` The other layer to copy infromation from. This method should be overwritten to provide cloning capabilities for the layer. You can either override this method and clone the information that you need from the original layer, or perform the copy in your initWithLayer: constructor (see the class description for details and a sample).
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("constraints")
  set: MonoMac.Foundation.Export("setConstraints:")
  MonoMac.CoreAnimation.CAConstraint[] To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("containsPoint:")
  System.Boolean `` To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("contents", MonoMac.ObjCRuntime.ArgumentSemantic.Retain)
  set: MonoMac.Foundation.Export("setContents:", MonoMac.ObjCRuntime.ArgumentSemantic.Retain)
  MonoMac.CoreGraphics.CGImage To be added.

  (More documentation for this node is coming)

  This value can be .

  To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("contentsAreFlipped")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("contentsCenter")
  set: MonoMac.Foundation.Export("setContentsCenter:")
  System.Drawing.RectangleF To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("contentsGravity", MonoMac.ObjCRuntime.ArgumentSemantic.Copy)
  set: MonoMac.Foundation.Export("setContentsGravity:", MonoMac.ObjCRuntime.ArgumentSemantic.Copy)
  System.String To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("contentsRect")
  set: MonoMac.Foundation.Export("setContentsRect:")
  System.Drawing.RectangleF To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("convertPoint:fromLayer:")
  System.Drawing.PointF `` `` The point to convert

  The layer in which the specified point comes from

  This parameter can be .

  To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("convertPoint:toLayer:")
  System.Drawing.PointF `` `` To be added.

  The layer to convert the coordinate of the point to.

  This parameter can be .

  To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Obsolete("Use ConvertRectFromLayer instead")
  System.Drawing.RectangleF `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("convertRect:fromLayer:")
  System.Drawing.RectangleF `` `` To be added.

  The layer in which the specified rectangle comes from

  This parameter can be .

  To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("convertRect:toLayer:")
  System.Drawing.RectangleF `` `` To be added.

  The layer into which the coordinates of the rectangle will be converted to.

  This parameter can be .

  To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("convertTime:fromLayer:")
  System.Double `` `` To be added.

  They layer that will be used to convert the time from.

  This parameter can be .

  To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("convertTime:toLayer:")
  System.Double `` `` To be added.

  The layer that will be used to convert the time to.

  This parameter can be .

  To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("cornerRadius")
  set: MonoMac.Foundation.Export("setCornerRadius:")
  System.Single To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("layer")
  MonoMac.CoreAnimation.CALayer To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("defaultActionForKey:")
  MonoMac.Foundation.NSObject `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("defaultValueForKey:")
  MonoMac.Foundation.NSObject `` To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.CoreAnimation.CALayerDelegate An instance of the MonoMac.CoreAnimation.CALayerDelegate model class which acts as the class delegate.

  The instance of the MonoMac.CoreAnimation.CALayerDelegate model class

  This value can be .

  The delegate instance assigned to this object will be used to handle events or provide data on demand to this class.

  When setting the Delegate or WeakDelegate values events will be delivered to the specified instance instead of being delivered to the C#-style events

  This is the strongly typed version of the object, use the WeakDelegate property instead if you want to merely assign a class derived from NSObject that has been decorated with [Export] attributes.

- Method
  0.0.0.0
  MonoMac.Foundation.Export("display")
  System.Void To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("displayIfNeeded")
  System.Void To be added. To be added.
- Method
  0.0.0.0
  System.Void ``

  If set to , the method is invoked directly and will dispose manage and unmanaged resources; If set to the method is being called by the garbage collector finalizer and should only release unmanaged resources.

  Releases the resources used by the CALayer object.

  This Dispose method releases the resources used by the CALayer class.

  This method is called by both the Dispose() method and the object finalizer (Finalize). When invoked by the Dispose method, the parameter disposting is set to and any managed object references that this object holds are also disposed or released; when invoked by the object finalizer, on the finalizer thread the value is set to .

  Calling the Dispose method when you are finished using the CALayer ensures that all external resources used by this managed object are released as soon as possible. Once you have invoked the Dispose method, the object is no longer useful and you should no longer make any calls to it.

  For more information on how to override this method and on the Dispose/IDisposable pattern, read the ``Implementing a Dispose Method'' document at http://msdn.microsoft.com/en-us/library/fs2xkftw.aspx

- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("isDoubleSided")
  set: MonoMac.Foundation.Export("setDoubleSided:")
  System.Boolean To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("drawInContext:")
  System.Void `` Prepared context to draw into. Draws the layer on the specified context.

  Developers override this method to provide custom rendering of the contents of their instance of the CALayer. If this method is not overwritten, the CALayer will invoke the method to render the contents.

  The provided context has been preconfigured for the target surface as well as having a clipping region defined.

- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("duration")
  set: MonoMac.Foundation.Export("setDuration:")
  System.Double To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("edgeAntialiasingMask")
  set: MonoMac.Foundation.Export("setEdgeAntialiasingMask:")
  MonoMac.CoreAnimation.CAEdgeAntialiasingMask To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("fillMode")
  set: MonoMac.Foundation.Export("setFillMode:")
  System.String To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant kCAFilterLinear To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant kCAFilterNearest To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("filters")
  set: MonoMac.Foundation.Export("setFilters:")
  MonoMac.CoreImage.CIFilter[] To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant kCAFilterTrilinear To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("frame")
  set: MonoMac.Foundation.Export("setFrame:")
  System.Drawing.RectangleF To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("isGeometryFlipped")
  set: MonoMac.Foundation.Export("setGeometryFlipped:")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant kCAGravityBottom To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant kCAGravityBottomLeft To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant kCAGravityBottomRight To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant kCAGravityCenter To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant kCAGravityLeft To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant kCAGravityResize To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant kCAGravityResizeAspect To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant kCAGravityResizeAspectFill To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant kCAGravityRight To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant kCAGravityTop To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant kCAGravityTopLeft To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant kCAGravityTopRight To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("isHidden")
  set: MonoMac.Foundation.Export("setHidden:")
  System.Boolean To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("hitTest:")
  MonoMac.CoreAnimation.CALayer `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("insertSublayer:atIndex:")
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("insertSublayer:above:")
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("insertSublayer:below:")
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("layoutIfNeeded")
  System.Void To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("layoutManager")
  set: MonoMac.Foundation.Export("setLayoutManager:")
  MonoMac.Foundation.NSObject To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("layoutSublayers")
  System.Void To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("magnificationFilter", MonoMac.ObjCRuntime.ArgumentSemantic.Copy)
  set: MonoMac.Foundation.Export("setMagnificationFilter:", MonoMac.ObjCRuntime.ArgumentSemantic.Copy)
  System.String To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("mask", MonoMac.ObjCRuntime.ArgumentSemantic.Retain)
  set: MonoMac.Foundation.Export("setMask:", MonoMac.ObjCRuntime.ArgumentSemantic.Retain)
  MonoMac.CoreAnimation.CALayer To be added.

  (More documentation for this node is coming)

  This value can be .

  To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("masksToBounds")
  set: MonoMac.Foundation.Export("setMasksToBounds:")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("minificationFilter", MonoMac.ObjCRuntime.ArgumentSemantic.Copy)
  set: MonoMac.Foundation.Export("setMinificationFilter:", MonoMac.ObjCRuntime.ArgumentSemantic.Copy)
  System.String To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("modelLayer")
  MonoMac.CoreAnimation.CALayer To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("name", MonoMac.ObjCRuntime.ArgumentSemantic.Copy)
  set: MonoMac.Foundation.Export("setName:", MonoMac.ObjCRuntime.ArgumentSemantic.Copy)
  System.String To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("needsDisplay")
  System.Boolean To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("needsDisplayForKey:")
  System.Boolean `` To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("needsDisplayOnBoundsChange")
  set: MonoMac.Foundation.Export("setNeedsDisplayOnBoundsChange:")
  System.Boolean To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("needsLayout")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant kCAOnOrderIn To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant kCAOnOrderOut To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("opacity")
  set: MonoMac.Foundation.Export("setOpacity:")
  System.Single To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("isOpaque")
  set: MonoMac.Foundation.Export("setOpaque:")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("position")
  set: MonoMac.Foundation.Export("setPosition:")
  System.Drawing.PointF To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("preferredFrameSize")
  System.Drawing.SizeF To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("presentationLayer")
  MonoMac.CoreAnimation.CALayer To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("removeAllAnimations")
  System.Void To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("removeAnimationForKey:")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("removeFromSuperlayer")
  System.Void To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("renderInContext:")
  System.Void `` To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("repeatCount")
  set: MonoMac.Foundation.Export("setRepeatCount:")
  System.Single To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("repeatDuration")
  set: MonoMac.Foundation.Export("setRepeatDuration:")
  System.Double To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("replaceSublayer:with:")
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("resizeWithOldSuperlayerSize:")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("resizeSublayersWithOldSize")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("scrollPoint:")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("scrollRectToVisible:")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("setNeedsDisplay")
  System.Void To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("setNeedsDisplayInRect:")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("setNeedsLayout")
  System.Void To be added. To be added.
- Property
  0.0.0.0
  MonoMac.ObjCRuntime.Since(3, 2)
  get: MonoMac.Foundation.Export("shadowColor")
  set: MonoMac.Foundation.Export("setShadowColor:")
  MonoMac.CoreGraphics.CGColor To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.ObjCRuntime.Since(3, 2)
  get: MonoMac.Foundation.Export("shadowOffset")
  set: MonoMac.Foundation.Export("setShadowOffset:")
  System.Drawing.SizeF To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.ObjCRuntime.Since(3, 2)
  get: MonoMac.Foundation.Export("shadowOpacity")
  set: MonoMac.Foundation.Export("setShadowOpacity:")
  System.Single To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.ObjCRuntime.Since(3, 2)
  get: MonoMac.Foundation.Export("shadowRadius")
  set: MonoMac.Foundation.Export("setShadowRadius:")
  System.Single To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("speed")
  set: MonoMac.Foundation.Export("setSpeed:")
  System.Single To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("sublayers", MonoMac.ObjCRuntime.ArgumentSemantic.Copy)
  set: MonoMac.Foundation.Export("setSublayers:", MonoMac.ObjCRuntime.ArgumentSemantic.Copy)
  MonoMac.CoreAnimation.CALayer[] To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("sublayerTransform")
  set: MonoMac.Foundation.Export("setSublayerTransform:")
  MonoMac.CoreAnimation.CATransform3D To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("superlayer")
  MonoMac.CoreAnimation.CALayer To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("timeOffset")
  set: MonoMac.Foundation.Export("setTimeOffset:")
  System.Double To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("transform")
  set: MonoMac.Foundation.Export("setTransform:")
  MonoMac.CoreAnimation.CATransform3D To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant kCATransition To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("visibleRect")
  System.Drawing.RectangleF To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("delegate", MonoMac.ObjCRuntime.ArgumentSemantic.Assign)
  set: MonoMac.Foundation.Export("setDelegate:", MonoMac.ObjCRuntime.ArgumentSemantic.Assign)
  MonoMac.Foundation.NSObject An object that can respond to the delegate protocol for this type

  The instance that will respond to events and data requests.

  This value can be .

  The delegate instance assigned to this object will be used to handle events or provide data on demand to this class.

  When setting the Delegate or WeakDelegate values events will be delivered to the specified instance instead of being delivered to the C#-style events

  Methods must be decorated with the [Export ("selectorName")] attribute to respond to each method from the protocol. Alternatively use the Delegate method which is strongly typed and does not require the [Export] attributes on methods.

- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("zPosition")
  set: MonoMac.Foundation.Export("setZPosition:")
  System.Single To be added. To be added. To be added.